Subject: Re: [X2Go-Dev] Bug#884: Bug#884: Bug#884: Bug#884: Bug#884: nxagent aborts session with 'Could not open default font 'fixed''

From: Mike Gabriel <[email-masked]>
Date: Wed, 02 Sep 2015 09:00:19 +0000

HI Devsk,

On  Mi 02 Sep 2015 03:32:56 CEST, devsk wrote:

> I finally decoded this issue. I can't believe it. The reason why its  
> not able to load the default font and default cursor was that  
> language specific fonts were missing from the /usr/share/fonts/misc  
> folder. Those are missing because I have '-nls' in my global USE  
> flags.
>
> I had to spin up an Ubuntu 14.04 VM to figure this out...:) This is  
> a packaging bug. nx package on Gentoo should force the 'nls' USE  
> flag on media-fonts/font-misc-misc because without that nxagent is  
> completely broken. I wonder how Xorg and Xvnc are fine without  
> those! May be there is legacy code in nxagent which needs removal...:)
>
> Thanks for all the help everyone! It was a pleasure dealing with you  
> all. I hope the x2go community flourishes more and more everyday!
> -devsk

Please can you be more precise? Where do you set the -nls flag and how  
can we get this fixed upstream in nx-libs?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb